OracleAppWebModule (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.oracleapp.OracleAppWebModule interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee.oracleapp
Interface OracleAppWebModule

All Superinterfaces:
  ConfigurationItem, J2EEDeployedObject, J2EEModule, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, Provider, java.io.Serializable, SoftwareModule, WebModule

    public interface OracleAppWebModule

extends WebModule

OracleAppWebModule

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.Provider
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`OracleAppJ2EEApplication` | `getApplication()`
`boolean` | `getAutoJoinSession()`
`java.lang.String` | `getClasspath()`
`java.lang.String` | `getCookieDomain()`
`boolean` | `getCookieIsSecure()`
`int` | `getCookieMaxAge()`
`java.lang.String` | `getCookiePath()`
`int` | `getDefaultBufferSize()`
`java.lang.String` | `getDirectoryBrowsing()`
`boolean` | `getDistributable()`
`long` | `getFileModificationCheckInterval()`
`boolean` | `getIncludeWarManifestClassPath()`
`boolean` | `getOhsRouting()`
`java.lang.String` | `getPersistencePath()`
`LogicalContent` | `getProprietaryDeploymentDescriptor()`
`LogicalContent` | `getProprietaryWsDeploymentDescriptor()`
`boolean` | `getSearchLocalClassFirst()`
`java.lang.String` | `getServletWebDir()`
`int` | `getSessionTimeout()`
`java.lang.String` | `getSourceDirectory()`
`java.lang.String` | `getState()`
`java.lang.String` | `getTemporaryDirectory()`
`boolean` | `getUseCookies()`
`java.lang.String` | `getWebModuleDisplayName()`
`java.lang.String` | `getWebSites()`
`java.lang.String` | `getWebURL()`
`LogicalContent` | `getWsDeploymentDescriptor()`
`boolean` | `hasApplication()`
`boolean` | `hasAutoJoinSession()`
`boolean` | `hasClasspath()`
`boolean` | `hasCookieDomain()`
`boolean` | `hasCookieIsSecure()`
`boolean` | `hasCookieMaxAge()`
`boolean` | `hasCookiePath()`
`boolean` | `hasDefaultBufferSize()`
`boolean` | `hasDirectoryBrowsing()`
`boolean` | `hasDistributable()`
`boolean` | `hasFileModificationCheckInterval()`
`boolean` | `hasIncludeWarManifestClassPath()`
`boolean` | `hasOhsRouting()`
`boolean` | `hasPersistencePath()`
`boolean` | `hasProprietaryDeploymentDescriptor()`
`boolean` | `hasProprietaryWsDeploymentDescriptor()`
`boolean` | `hasSearchLocalClassFirst()`
`boolean` | `hasServletWebDir()`
`boolean` | `hasSessionTimeout()`
`boolean` | `hasSourceDirectory()`
`boolean` | `hasState()`
`boolean` | `hasTemporaryDirectory()`
`boolean` | `hasUseCookies()`
`boolean` | `hasWebModuleDisplayName()`
`boolean` | `hasWebSites()`
`boolean` | `hasWebURL()`
`boolean` | `hasWsDeploymentDescriptor()`
`void` | `setApplication(OracleAppJ2EEApplication application)`
`void` | `setAutoJoinSession(boolean autoJoinSession)`
`void` | `setClasspath(java.lang.String classpath)`
`void` | `setCookieDomain(java.lang.String cookieDomain)`
`void` | `setCookieIsSecure(boolean cookieIsSecure)`
`void` | `setCookieMaxAge(int cookieMaxAge)`
`void` | `setCookiePath(java.lang.String cookiePath)`
`void` | `setDefaultBufferSize(int defaultBufferSize)`
`void` | `setDirectoryBrowsing(java.lang.String directoryBrowsing)`
`void` | `setDistributable(boolean distributable)`
`void` | `setFileModificationCheckInterval(long fileModificationCheckInterval)`
`void` | `setIncludeWarManifestClassPath(boolean includeWarManifestClassPath)`
`void` | `setOhsRouting(boolean ohsRouting)`
`void` | `setPersistencePath(java.lang.String persistencePath)`
`void` | `setProprietaryDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setProprietaryWsDeploymentDescriptor(LogicalContent descriptor)`
`void` | `setSearchLocalClassFirst(boolean searchLocalClassFirst)`
`void` | `setServletWebDir(java.lang.String servletWebDir)`
`void` | `setSessionTimeout(int sessionTimeout)`
`void` | `setSourceDirectory(java.lang.String sourceDirectory)`
`void` | `setState(java.lang.String state)`
`void` | `setTemporaryDirectory(java.lang.String temporaryDirectory)`
`void` | `setUseCookies(boolean useCookies)`
`void` | `setWebModuleDisplayName(java.lang.String displayName)`
`void` | `setWebSites(java.lang.String webSites)`
`void` | `setWebURL(java.lang.String webURL)`
`void` | `setWsDeploymentDescriptor(LogicalContent descriptor)`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEModule
`getComponents, getDeploymentDescriptor, hasComponents, hasDeploymentDescriptor, setComponents, setDeploymentDescriptor`

Methods inherited from interface com.collation.platform.model.topology.app.j2ee.J2EEDeployedObject
`getDomain, hasDomain, setDomain`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareModule
`getFile, getFileName, getName, getParent, hasFile, hasFileName, hasName, hasParent, setFile, setFileName, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.Provider
`getActivities, getAdvertisedInterfaces, getSAPs, hasActivities, hasAdvertisedInterfaces, hasSAPs, setActivities, setAdvertisedInterfaces, setSAPs`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getApplication

    OracleAppJ2EEApplication getApplication()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setApplication

    void setApplication(OracleAppJ2EEApplication application)

### hasApplication

    boolean hasApplication()

### getState

    java.lang.String getState()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setState

    void setState(java.lang.String state)

### hasState

    boolean hasState()

### getProprietaryDeploymentDescriptor

    LogicalContent getProprietaryDeploymentDescriptor()
                                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProprietaryDeploymentDescriptor

    void setProprietaryDeploymentDescriptor(LogicalContent descriptor)

### hasProprietaryDeploymentDescriptor

    boolean hasProprietaryDeploymentDescriptor()

### getWsDeploymentDescriptor

    LogicalContent getWsDeploymentDescriptor()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWsDeploymentDescriptor

    void setWsDeploymentDescriptor(LogicalContent descriptor)

### hasWsDeploymentDescriptor

    boolean hasWsDeploymentDescriptor()

### getProprietaryWsDeploymentDescriptor

    LogicalContent getProprietaryWsDeploymentDescriptor()
                                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setProprietaryWsDeploymentDescriptor

    void setProprietaryWsDeploymentDescriptor(LogicalContent descriptor)

### hasProprietaryWsDeploymentDescriptor

    boolean hasProprietaryWsDeploymentDescriptor()

### getWebSites

    java.lang.String getWebSites()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebSites

    void setWebSites(java.lang.String webSites)

### hasWebSites

    boolean hasWebSites()

### getWebModuleDisplayName

    java.lang.String getWebModuleDisplayName()
                                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebModuleDisplayName

    void setWebModuleDisplayName(java.lang.String displayName)

### hasWebModuleDisplayName

    boolean hasWebModuleDisplayName()

### getWebURL

    java.lang.String getWebURL()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWebURL

    void setWebURL(java.lang.String webURL)

### hasWebURL

    boolean hasWebURL()

### getDistributable

    boolean getDistributable()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDistributable

    void setDistributable(boolean distributable)

### hasDistributable

    boolean hasDistributable()

### getOhsRouting

    boolean getOhsRouting()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setOhsRouting

    void setOhsRouting(boolean ohsRouting)

### hasOhsRouting

    boolean hasOhsRouting()

### getSessionTimeout

    int getSessionTimeout()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSessionTimeout

    void setSessionTimeout(int sessionTimeout)

### hasSessionTimeout

    boolean hasSessionTimeout()

### getAutoJoinSession

    boolean getAutoJoinSession()
                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAutoJoinSession

    void setAutoJoinSession(boolean autoJoinSession)

### hasAutoJoinSession

    boolean hasAutoJoinSession()

### getClasspath

    java.lang.String getClasspath()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setClasspath

    void setClasspath(java.lang.String classpath)

### hasClasspath

    boolean hasClasspath()

### getUseCookies

    boolean getUseCookies()
                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setUseCookies

    void setUseCookies(boolean useCookies)

### hasUseCookies

    boolean hasUseCookies()

### getCookieDomain

    java.lang.String getCookieDomain()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCookieDomain

    void setCookieDomain(java.lang.String cookieDomain)

### hasCookieDomain

    boolean hasCookieDomain()

### getCookieIsSecure

    boolean getCookieIsSecure()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCookieIsSecure

    void setCookieIsSecure(boolean cookieIsSecure)

### hasCookieIsSecure

    boolean hasCookieIsSecure()

### getCookieMaxAge

    int getCookieMaxAge()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCookieMaxAge

    void setCookieMaxAge(int cookieMaxAge)

### hasCookieMaxAge

    boolean hasCookieMaxAge()

### getCookiePath

    java.lang.String getCookiePath()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCookiePath

    void setCookiePath(java.lang.String cookiePath)

### hasCookiePath

    boolean hasCookiePath()

### getDefaultBufferSize

    int getDefaultBufferSize()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDefaultBufferSize

    void setDefaultBufferSize(int defaultBufferSize)

### hasDefaultBufferSize

    boolean hasDefaultBufferSize()

### getDirectoryBrowsing

    java.lang.String getDirectoryBrowsing()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setDirectoryBrowsing

    void setDirectoryBrowsing(java.lang.String directoryBrowsing)

### hasDirectoryBrowsing

    boolean hasDirectoryBrowsing()

### getFileModificationCheckInterval

    long getFileModificationCheckInterval()
                                          throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFileModificationCheckInterval

    void setFileModificationCheckInterval(long fileModificationCheckInterval)

### hasFileModificationCheckInterval

    boolean hasFileModificationCheckInterval()

### getIncludeWarManifestClassPath

    boolean getIncludeWarManifestClassPath()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setIncludeWarManifestClassPath

    void setIncludeWarManifestClassPath(boolean includeWarManifestClassPath)

### hasIncludeWarManifestClassPath

    boolean hasIncludeWarManifestClassPath()

### getPersistencePath

    java.lang.String getPersistencePath()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPersistencePath

    void setPersistencePath(java.lang.String persistencePath)

### hasPersistencePath

    boolean hasPersistencePath()

### getSearchLocalClassFirst

    boolean getSearchLocalClassFirst()
                                     throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSearchLocalClassFirst

    void setSearchLocalClassFirst(boolean searchLocalClassFirst)

### hasSearchLocalClassFirst

    boolean hasSearchLocalClassFirst()

### getServletWebDir

    java.lang.String getServletWebDir()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setServletWebDir

    void setServletWebDir(java.lang.String servletWebDir)

### hasServletWebDir

    boolean hasServletWebDir()

### getSourceDirectory

    java.lang.String getSourceDirectory()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSourceDirectory

    void setSourceDirectory(java.lang.String sourceDirectory)

### hasSourceDirectory

    boolean hasSourceDirectory()

### getTemporaryDirectory

    java.lang.String getTemporaryDirectory()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTemporaryDirectory

    void setTemporaryDirectory(java.lang.String temporaryDirectory)

### hasTemporaryDirectory

    boolean hasTemporaryDirectory()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD